hpSetGetForMoh = {};
hpSetGetForMoh.cmd = {};

function hpSetGetForMoh.onDrawAfter(args)
	if args == nil or type(args) ~= "table" or args.overlay == nil then return;end;
	if not HeapPreview.values.isOn then		
		--Attention(do not forget ), load 1x icon is this okay,load more icons, set better icon over name (moSetGetOverlays.icons.byName[modName][groupName][iconName] = return icon table pos) --iconName at ...xml
		local overlay = HeapPreview.values.moh.moSetGetOverlays.icons["HeapPreview"]["icon"][1]; 
		g_currentMission.hl.setOverlay(overlay,args.overlay.x,args.overlay.y,args.overlay.width,args.overlay.height);		
		overlay:render();		
	end;
end;

function hpSetGetForMoh:loadPdaIcons()
	g_currentMission.multiOverlayV4.overlayFunction.savePreviewIcons( {xmlTagName="hpIcons.heapPreview", modDir=HeapPreview.modDir, iconFile="scripte/mohFeatures/hpIcon.dds", xmlFile="scripte/mohFeatures/hpIcons.xml", modName="HeapPreview", groupName="default", foreign=true, fileFormat="m128x128", previewIcons=true} );
	g_currentMission.multiOverlayV4.overlayFunction.loadIcons( {xmlTagName="hpIcons.heapPreviewIcons", modDir=HeapPreview.modDir, iconFile="scripte/mohFeatures/hpIcon.dds", xmlFile="scripte/mohFeatures/hpIcons.xml", modName="HeapPreview", groupName="icon", foreign=true, fileFormat="m128x128", previewIcons=false} );
	g_currentMission.multiOverlayV4.pdaCallbacks.heapPreview = {};
	g_currentMission.multiOverlayV4.pdaCallbacks.heapPreview.onDrawAfter = hpSetGetForMoh.onDrawAfter;
end;

function hpSetGetForMoh:loadCmds()
	g_currentMission.multiOverlayV4.cmdFunction.generateCmd( { 
			modName = "HeapPreview";
			cmdName = "action_hpOnOff_";
			groupName = "OnOff-OtherMods";			
			displayName = "View HeapPreview On/Off";
			infoTxt = "Check Pda Icons by Mod HeapPreview";
			mouseClickAccepts = {true,false,false};
			ownTable = {};
			typ = {"action_"};			
			actionCallback = hpSetGetForMoh.cmd.onOff;		
		}
	);	
end;

function hpSetGetForMoh.cmd.onOff(args)
	if args == nil or type(args) ~= "table" or args.mouseClick == nil then return;end;
	if args.mouseClick == "MOUSE_BUTTON_LEFT" and args.isDown then
		HeapPreview.values.isOn = not HeapPreview.values.isOn;
	end;
	return;
end;