hpGlobalSetting = {}

function hpGlobalSetting:clickButtonCallback(args)
	local color = "";
	local txt = "";
	if args.lineButton.ownTable.side == 1 then
		if args.lineButton.ownTable.whatClick == "hpOnOff_" then			
			HeapPreview.values.isOn = not HeapPreview.values.isOn;			
			g_currentMission.hlGui.setGet:setUnSave();			
			return;				
		elseif args.lineButton.ownTable.whatClick == "hpOnField_" then			
			HeapPreview.values.onField = not HeapPreview.values.onField;			
			g_currentMission.hlGui.setGet:setUnSave();			
			return;
		elseif args.lineButton.ownTable.whatClick == "hpRadius_" then
			if args.up then
				if HeapPreview.values.radius-HeapPreview.values.radiusLV < HeapPreview.values.minRadius then return;end;
				HeapPreview.values.radius = HeapPreview.values.radius-HeapPreview.values.radiusLV;
				g_currentMission.hlGui.setGet:setUnSave();
				return;
			elseif args.down then
				if HeapPreview.values.radius+HeapPreview.values.radiusLV > HeapPreview.values.maxRadius then return;end;
				HeapPreview.values.radius = HeapPreview.values.radius+HeapPreview.values.radiusLV;
				g_currentMission.hlGui.setGet:setUnSave();
				return;
			end;
		elseif args.lineButton.ownTable.whatClick == "hpDebugCircle_" then			
			HeapPreview.values.viewDebugCircle = not HeapPreview.values.viewDebugCircle;			
			g_currentMission.hlGui.setGet:setUnSave();			
			return;	
		end;
	end;
end;

function hpGlobalSetting:txtButtonCallback(lineButton)
	local txtButton = "";
	if lineButton.ownTable.side == 1 then
		if lineButton.ownTable.whatClick == "hpOnOff_" then
			if HeapPreview.values.isOn then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;		
		elseif lineButton.ownTable.whatClick == "hpOnField_" then
			if HeapPreview.values.onField then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;		
		elseif lineButton.ownTable.whatClick == "hpRadius_" then
			txtButton = tostring(HeapPreview.values.radius);
			if HeapPreview.values.radius == HeapPreview.values.defaultRadius then lineButton.txtButtonColor = "green";else lineButton.txtButtonColor = "yellow";end;
		elseif lineButton.ownTable.whatClick == "hpDebugCircle_" then
			if HeapPreview.values.viewDebugCircle then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;	
		end;
	end;
	return txtButton;
end;

function hpGlobalSetting:pullDownCallback(lineButton)
	local pullDownTable = {}
	
	return pullDownTable;
end;

function hpGlobalSetting:clickPullDownLineCallback(args)
	
end;

function hpGlobalSetting:generateSide(side)
	local buttons = {};
	local color = ""
	local txtButton = "";
	if side == 1 then
		--line--
		buttons = {
			[1] = {
				txtButton = "! HeapPreview Update *only on: http://modhoster.de ! (".. tostring(HeapPreview.metadata.version).. ")";
				txtBoldButton = true;				
				txtButtonColor = "darkBlue";
				groundButtonColor = "whiteInactive";
				txtInfo = "Alle anderen Seiten werden nicht unterstützt (All other sites are not supported)";				
			};			
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="HeapPreview", page=HeapPreview.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		buttons = {
			[1] = {
				txtOverButton = "HeapPreview";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="hpOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere den HeapPreview Mod";				
			};
			[2] = {
				txtOverButton = "View Heap On Field";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="hpOnField_",side=side};
				txtInfo = "better Off,other see all field straw etc.";								
			};
			[3] = {
				txtOverButton = "Search Radius";				
				txtButton = "30";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["txtButton"];
				clickButton = "buttonUpDown";				
				clickButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="hpRadius_",side=side};
				txtInfo = "Radius in dennen Haufen gesucht werden. Je höher der Wert desto mehr muss gesucht werden.";				
			};
			--[4] = {
				--txtOverButton = "View DebugCircle";				
				--txtButton = "Off";
				--txtBoldButton = true;
				--txtButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["txtButton"];
				--clickButton = "buttonOnOff";				
				--clickButtonCallback = g_currentMission.hlGui.callbacks.heapPreview["clickButton"];
				--ownTable = {pageName="GlobalSetting", whatClick="hpDebugCircle_",side=side};
				--txtInfo = "Zeigt den Such Radius in dennen Haufen gesucht werden virtuell an.";				
			--};			
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="HeapPreview", page=HeapPreview.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--		
	end;
end;
























