hpHlGui = {};
source(HeapPreview.modDir.."scripte/hlGui/hpGlobalSetting.lua");

function hpHlGui:generate(debugPrint)
	if g_currentMission.hlGui == nil or g_currentMission.hlGui.setGet == nil then 
		print("***Error	-can not generate HeapPreview Settings Menue (! is hlGui Menue loaded !)- Error***");
		HeapPreview.values.hlGui.isLoad = false;
		return;
		
	end;
	local errorTable = {};
	g_currentMission.hlGui.callbacks.heapPreview = {};
	g_currentMission.hlGui.callbacks.heapPreview["onOpenHlGui"] = hpHlGui.onOpenHlGui;
	g_currentMission.hlGui.callbacks.heapPreview["closeHlGui"] = hpHlGui.setCloseHlGui;
	g_currentMission.hlGui.callbacks.heapPreview["saveHlGui"] = hpHlGui.setSaveHlGui;
	local isLoad = g_currentMission.hlGui.setGet:generateModMenue( {modName="HeapPreview",displayName= tostring(HeapPreview.metadata.title).. tostring(HeapPreview.metadata.version), saveCallback=g_currentMission.hlGui.callbacks.heapPreview["saveHlGui"]} );
	if not isLoad then errorTable[errorTable+1] = "***Error	-can not generate HeapPreview Settings Menue (! is hlGui Menue loaded !)- Error***";end;
	if isLoad then
		g_currentMission.hlGui.callbacks.heapPreview["clickButton"] = hpHlGui.clickButtonCallback;
		g_currentMission.hlGui.callbacks.heapPreview["pullDownButton"] = hpHlGui.pullDownButtonCallback;
		g_currentMission.hlGui.callbacks.heapPreview["clickPullDownLine"] = hpHlGui.clickPullDownLineCallback;
		g_currentMission.hlGui.callbacks.heapPreview["txtButton"] = hpHlGui.txtButtonCallback;
		g_currentMission.hlGui.callbacks.heapPreview["openDraw"] = hpHlGui.setOpenDraw;	
		-----GlobalSetting Page/Side-----
		HeapPreview.values.hlGui.page["GlobalSetting"] = 1;HeapPreview.values.hlGui.side["GlobalSetting"] = 1;
		isLoad = g_currentMission.hlGui.setGet:generateModPage( {modName="HeapPreview", displayName="Global Setting"} );
		if not isLoad then errorTable[errorTable+1] = "***Error Global Setting";end;
		isLoad = g_currentMission.hlGui.setGet:generateModPageSide( {modName="HeapPreview", page=HeapPreview.values.hlGui.page["GlobalSetting"]} );
		if not isLoad then errorTable[errorTable+1] = "***Error Global Setting Page Side";end;
		hpGlobalSetting:generateSide(1);
		-----GlobalSetting Page/Side-----		
	end;
	if #errorTable > 0 then
		if debugPrint then
			for a=1, #errorTable do
				print("---HeapPreview DebugPrint= ".. tostring(errorTable[a]))
			end;
		end;
		HeapPreview.values.hlGui.isLoad = false;
		return;
	end;
	HeapPreview.values.hlGui.isLoad = true;
end;

function hpHlGui.clickButtonCallback(args)	
	if args == nil or type(args) ~= "table" or args.lineButton == nil then return;end;	
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		if not HeapPreview.values.isOn then 
			if args.lineButton.ownTable.side ~= 1 then return;end;
			if args.lineButton.ownTable.whatClick ~= "hpOnOff_" then return;end;
		end;
		hpGlobalSetting:clickButtonCallback(args);	
	end;
	return;
end;

function hpHlGui.pullDownButtonCallback(args)
	local pullDownTable = {};
	if not HeapPreview.values.isOn then return pullDownTable;end;
	if args == nil or type(args) ~= "table" or args.lineButton == nil then return pullDownTable;end;
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		pullDownTable = hpGlobalSetting:pullDownCallback(args.lineButton);		
	end;
	return pullDownTable;
end;

function hpHlGui.clickPullDownLineCallback(args)
	if not HeapPreview.values.isOn then return;end;
	if args == nil or type(args) ~= "table" or args.selectLine == nil or args.ownTable == nil then return;end;	
	if args.ownTable.pageName == "GlobalSetting" then
		hpGlobalSetting:clickPullDownLineCallback(args);	
	end;
	return;
end;

function hpHlGui.txtButtonCallback(args)
	if args == nil or type(args) ~= "table" or args.lineButton == nil or args.lineButton.ownTable == nil then return "";end;
	local txtButton = "";
	if args.lineButton.ownTable.pageName == "GlobalSetting" then
		if not HeapPreview.values.isOn then 
			if args.lineButton.ownTable.side ~= 1 then return "";end;
			if args.lineButton.ownTable.whatClick ~= "hpOnOff_" then return "";end;
		end;
		txtButton = hpGlobalSetting:txtButtonCallback(args.lineButton);	
	end;
	return tostring(txtButton);
end;

function hpHlGui.onOpenHlGui(args)
	
end

function hpHlGui.setOpenDraw(args)
	
end;

function hpHlGui.setCloseHlGui()
	
end;

function hpHlGui.setSaveHlGui()
	HeapPreview:saveSettings();
end;